ome-xml 5.2.3

Public Types | Public Member Functions | Static Public Member Functions | Static Private Member Functions | Private Attributes | List of all members
ome::xml::model::enums::UnitsPressure Class Reference

UnitsPressure enumeration. More...

`#include <ome/xml/model/enums/UnitsPressure.h>`

Collaboration diagram for ome::xml::model::enums::UnitsPressure:
[legend]

## Public Types
enum | enum_value { YOTTAPASCAL, ZETTAPASCAL, EXAPASCAL, PETAPASCAL, TERAPASCAL, GIGAPASCAL, MEGAPASCAL, KILOPASCAL, HECTOPASCAL, DECAPASCAL, PASCAL, DECIPASCAL, CENTIPASCAL, MILLIPASCAL, MICROPASCAL, NANOPASCAL, PICOPASCAL, FEMTOPASCAL, ATTOPASCAL, ZEPTOPASCAL, YOCTOPASCAL, BAR, MEGABAR, KILOBAR, DECIBAR, CENTIBAR, MILLIBAR, ATMOSPHERE, PSI, TORR, MILLITORR, MMHG }
| Enumeration values. More...
typedef std::map< std::string, UnitsPressure::enum_value > | string_map_type
| String map type.
typedef std::map< UnitsPressure::enum_value, std::string > | value_map_type
| Value map type.

## Public Member Functions
| UnitsPressure (enum_value value)
| Construct a UnitsPressure enumeration by an enumeration value. More...
| UnitsPressure (const std::string &name, bool strict=true)
| Construct a UnitsPressure enumeration by an enumeration name. More...
| UnitsPressure (const UnitsPressure &original)
| Copy constructor. More...
UnitsPressure & | operator= (const UnitsPressure &rhs)
| Assignment operator.
| operator enum_value () const
| Cast the enumeration to its value. More...
| operator const std::string & () const
| Cast the enumeration to its name. More...

## Static Public Member Functions
static const string_map_type & | strings ()
| Get a map of valid string names and enum values. More...
static const value_map_type & | values ()
| Get a map of valid enum values and string names. More...

## Static Private Member Functions
static const string_map_type & | lowercase_strings ()
| Get a map of valid lowercased string names and enum values. More...

## Private Attributes
enum_value | value
| Enumeration value.
const std::string * | name
| Enumeration name.

## Detailed Description

UnitsPressure enumeration.

## Member Enumeration Documentation

## § enum_value

enum ome::xml::model::enums::UnitsPressure::enum_value

Enumeration values.

Enumerator
YOTTAPASCAL | yottapascal SI unit.
ZETTAPASCAL | zettapascal SI unit.
EXAPASCAL | exapascal SI unit.
PETAPASCAL | petapascal SI unit.
TERAPASCAL | terapascal SI unit.
GIGAPASCAL | gigapascal SI unit.
MEGAPASCAL | megapascal SI unit.
KILOPASCAL | kilopascal SI unit.
HECTOPASCAL | hectopascal SI unit.
DECAPASCAL | decapascal SI unit.
PASCAL | pascal SI unit. Note the C++ enum is mixed case due to PASCAL being a macro used by the Microsoft C and C++ compiler.
DECIPASCAL | decipascal SI unit.
CENTIPASCAL | centipascal SI unit.
MILLIPASCAL | millipascal SI unit.
MICROPASCAL | micropascal SI unit.
NANOPASCAL | nanopascal SI unit.
PICOPASCAL | picopascal SI unit.
FEMTOPASCAL | femtopascal SI unit.
ATTOPASCAL | attopascal SI unit.
ZEPTOPASCAL | zeptopascal SI unit.
YOCTOPASCAL | yoctopascal SI unit.
BAR | bar SI-derived unit.
MEGABAR | megabar SI-derived unit.
KILOBAR | kilobar SI-derived unit.
DECIBAR | decibar SI-derived unit.
CENTIBAR | centibar SI-derived unit.
MILLIBAR | millibar SI-derived unit.
ATMOSPHERE | standard atmosphere SI-derived unit.
PSI | pound-force per square inch Imperial unit.
TORR | torr SI-derived unit.
MILLITORR | millitorr SI-derived unit.
MMHG | millimetre of mercury SI-derived unit

## Constructor & Destructor Documentation

## § UnitsPressure() [1/3]

ome::xml::model::enums::UnitsPressure::UnitsPressure | ( | enum_value | value | ) |

Construct a UnitsPressure enumeration by an enumeration value.

Parameters

  value | the value of the enumeration.

References name, and values().

Referenced by ome::xml::model::enums::operator>>().

Here is the caller graph for this function:

## § UnitsPressure() [2/3]

ome::xml::model::enums::UnitsPressure::UnitsPressure | ( | const std::string & | name,
|  | bool | strict = `true`
| ) |  |

Construct a UnitsPressure enumeration by an enumeration name.

Exact matching of the name will require the name to match one of the valid enumeration names. Inexact matching will strip leading and trailing whitespace and perform a case-insensitive match. Exact matching is recommended for use in program code which does not process user input; inexact matching is recommended when processing potentially malformed user input.

Parameters

  name | the name of the enumeration.
  strict | true to require an exact name, false to allow an inexact match.

References lowercase_strings(), strings(), trim(), value, and values().

## § UnitsPressure() [3/3]

ome::xml::model::enums::UnitsPressure::UnitsPressure | ( | const UnitsPressure & | original | ) |

Copy constructor.

Parameters

  original | the instance to copy.

## Member Function Documentation

## § lowercase_strings()

const UnitsPressure::string_map_type & ome::xml::model::enums::UnitsPressure::lowercase_strings | ( |  | ) |
| static private

Get a map of valid lowercased string names and enum values.

Returns
  a map of lowercased string names to enum values.

References ATMOSPHERE, ATTOPASCAL, BAR, CENTIBAR, CENTIPASCAL, DECAPASCAL, DECIBAR, DECIPASCAL, EXAPASCAL, FEMTOPASCAL, GIGAPASCAL, HECTOPASCAL, KILOBAR, KILOPASCAL, MEGABAR, MEGAPASCAL, MICROPASCAL, MILLIBAR, MILLIPASCAL, MILLITORR, MMHG, NANOPASCAL, PASCAL, PETAPASCAL, PICOPASCAL, PSI, TERAPASCAL, TORR, YOCTOPASCAL, YOTTAPASCAL, ZEPTOPASCAL, and ZETTAPASCAL.

Referenced by UnitsPressure().

Here is the caller graph for this function:

## § operator const std::string &()

ome::xml::model::enums::UnitsPressure::operator const std::string & | ( |  | ) | const
| inline

Cast the enumeration to its name.

Returns
  the enumeration value.

References name.

## § operator enum_value()

ome::xml::model::enums::UnitsPressure::operator enum_value | ( |  | ) | const
| inline

Cast the enumeration to its value.

Returns
  the enumeration value.

References value.

## § strings()

const UnitsPressure::string_map_type & ome::xml::model::enums::UnitsPressure::strings | ( |  | ) |
| static

Get a map of valid string names and enum values.

Returns
  a map of string names to enum values.

References ATMOSPHERE, ATTOPASCAL, BAR, CENTIBAR, CENTIPASCAL, DECAPASCAL, DECIBAR, DECIPASCAL, EXAPASCAL, FEMTOPASCAL, GIGAPASCAL, HECTOPASCAL, KILOBAR, KILOPASCAL, MEGABAR, MEGAPASCAL, MICROPASCAL, MILLIBAR, MILLIPASCAL, MILLITORR, MMHG, NANOPASCAL, PASCAL, PETAPASCAL, PICOPASCAL, PSI, TERAPASCAL, TORR, YOCTOPASCAL, YOTTAPASCAL, ZEPTOPASCAL, and ZETTAPASCAL.

Referenced by UnitsPressure().

Here is the caller graph for this function:

## § values()

const UnitsPressure::value_map_type & ome::xml::model::enums::UnitsPressure::values | ( |  | ) |
| static

Get a map of valid enum values and string names.

Returns
  a map of enum values to string names.

References ATMOSPHERE, ATTOPASCAL, BAR, CENTIBAR, CENTIPASCAL, DECAPASCAL, DECIBAR, DECIPASCAL, EXAPASCAL, FEMTOPASCAL, GIGAPASCAL, HECTOPASCAL, KILOBAR, KILOPASCAL, MEGABAR, MEGAPASCAL, MICROPASCAL, MILLIBAR, MILLIPASCAL, MILLITORR, MMHG, NANOPASCAL, PASCAL, PETAPASCAL, PICOPASCAL, PSI, TERAPASCAL, TORR, YOCTOPASCAL, YOTTAPASCAL, ZEPTOPASCAL, and ZETTAPASCAL.

Referenced by UnitsPressure().

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- ome/xml/model/enums/UnitsPressure.h
- ome/xml/model/enums/UnitsPressure.cpp